Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network176.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
176.0.0.0
Broadcast address
191.255.255.255
First usable
176.0.0.1
Last usable
191.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
B (default /16)
As numbers
Hex B0000000 · Integer 2952790016 to 3221225471
Reverse DNS zones
176.in-addr.arpa
177.in-addr.arpa
178.in-addr.arpa
179.in-addr.arpa
180.in-addr.arpa
181.in-addr.arpa
182.in-addr.arpa
183.in-addr.arpa
184.in-addr.arpa
185.in-addr.arpa
186.in-addr.arpa
187.in-addr.arpa
188.in-addr.arpa
189.in-addr.arpa
190.in-addr.arpa
191.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110000.00000000.00000000.00000000176.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network10110000.00000000.00000000.00000000176.0.0.0
Broadcast10111111.11111111.11111111.11111111191.255.255.255
Split into smaller subnets/10

176.0.0.0/4 makes 64 subnets of /10.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1176.0.0.0/10176.0.0.1 to 176.63.255.254176.63.255.2554,194,302
2176.64.0.0/10176.64.0.1 to 176.127.255.254176.127.255.2554,194,302
3176.128.0.0/10176.128.0.1 to 176.191.255.254176.191.255.2554,194,302
4176.192.0.0/10176.192.0.1 to 176.255.255.254176.255.255.2554,194,302
5177.0.0.0/10177.0.0.1 to 177.63.255.254177.63.255.2554,194,302
6177.64.0.0/10177.64.0.1 to 177.127.255.254177.127.255.2554,194,302
7177.128.0.0/10177.128.0.1 to 177.191.255.254177.191.255.2554,194,302
8177.192.0.0/10177.192.0.1 to 177.255.255.254177.255.255.2554,194,302
9178.0.0.0/10178.0.0.1 to 178.63.255.254178.63.255.2554,194,302
10178.64.0.0/10178.64.0.1 to 178.127.255.254178.127.255.2554,194,302
11178.128.0.0/10178.128.0.1 to 178.191.255.254178.191.255.2554,194,302
12178.192.0.0/10178.192.0.1 to 178.255.255.254178.255.255.2554,194,302
13179.0.0.0/10179.0.0.1 to 179.63.255.254179.63.255.2554,194,302
14179.64.0.0/10179.64.0.1 to 179.127.255.254179.127.255.2554,194,302
15179.128.0.0/10179.128.0.1 to 179.191.255.254179.191.255.2554,194,302
16179.192.0.0/10179.192.0.1 to 179.255.255.254179.255.255.2554,194,302
17180.0.0.0/10180.0.0.1 to 180.63.255.254180.63.255.2554,194,302
18180.64.0.0/10180.64.0.1 to 180.127.255.254180.127.255.2554,194,302
19180.128.0.0/10180.128.0.1 to 180.191.255.254180.191.255.2554,194,302
20180.192.0.0/10180.192.0.1 to 180.255.255.254180.255.255.2554,194,302
21181.0.0.0/10181.0.0.1 to 181.63.255.254181.63.255.2554,194,302
22181.64.0.0/10181.64.0.1 to 181.127.255.254181.127.255.2554,194,302
23181.128.0.0/10181.128.0.1 to 181.191.255.254181.191.255.2554,194,302
24181.192.0.0/10181.192.0.1 to 181.255.255.254181.255.255.2554,194,302
25182.0.0.0/10182.0.0.1 to 182.63.255.254182.63.255.2554,194,302
26182.64.0.0/10182.64.0.1 to 182.127.255.254182.127.255.2554,194,302
27182.128.0.0/10182.128.0.1 to 182.191.255.254182.191.255.2554,194,302
28182.192.0.0/10182.192.0.1 to 182.255.255.254182.255.255.2554,194,302
29183.0.0.0/10183.0.0.1 to 183.63.255.254183.63.255.2554,194,302
30183.64.0.0/10183.64.0.1 to 183.127.255.254183.127.255.2554,194,302
31183.128.0.0/10183.128.0.1 to 183.191.255.254183.191.255.2554,194,302
32183.192.0.0/10183.192.0.1 to 183.255.255.254183.255.255.2554,194,302
33184.0.0.0/10184.0.0.1 to 184.63.255.254184.63.255.2554,194,302
34184.64.0.0/10184.64.0.1 to 184.127.255.254184.127.255.2554,194,302
35184.128.0.0/10184.128.0.1 to 184.191.255.254184.191.255.2554,194,302
36184.192.0.0/10184.192.0.1 to 184.255.255.254184.255.255.2554,194,302
37185.0.0.0/10185.0.0.1 to 185.63.255.254185.63.255.2554,194,302
38185.64.0.0/10185.64.0.1 to 185.127.255.254185.127.255.2554,194,302
39185.128.0.0/10185.128.0.1 to 185.191.255.254185.191.255.2554,194,302
40185.192.0.0/10185.192.0.1 to 185.255.255.254185.255.255.2554,194,302
41186.0.0.0/10186.0.0.1 to 186.63.255.254186.63.255.2554,194,302
42186.64.0.0/10186.64.0.1 to 186.127.255.254186.127.255.2554,194,302
43186.128.0.0/10186.128.0.1 to 186.191.255.254186.191.255.2554,194,302
44186.192.0.0/10186.192.0.1 to 186.255.255.254186.255.255.2554,194,302
45187.0.0.0/10187.0.0.1 to 187.63.255.254187.63.255.2554,194,302
46187.64.0.0/10187.64.0.1 to 187.127.255.254187.127.255.2554,194,302
47187.128.0.0/10187.128.0.1 to 187.191.255.254187.191.255.2554,194,302
48187.192.0.0/10187.192.0.1 to 187.255.255.254187.255.255.2554,194,302
49188.0.0.0/10188.0.0.1 to 188.63.255.254188.63.255.2554,194,302
50188.64.0.0/10188.64.0.1 to 188.127.255.254188.127.255.2554,194,302
51188.128.0.0/10188.128.0.1 to 188.191.255.254188.191.255.2554,194,302
52188.192.0.0/10188.192.0.1 to 188.255.255.254188.255.255.2554,194,302
53189.0.0.0/10189.0.0.1 to 189.63.255.254189.63.255.2554,194,302
54189.64.0.0/10189.64.0.1 to 189.127.255.254189.127.255.2554,194,302
55189.128.0.0/10189.128.0.1 to 189.191.255.254189.191.255.2554,194,302
56189.192.0.0/10189.192.0.1 to 189.255.255.254189.255.255.2554,194,302
57190.0.0.0/10190.0.0.1 to 190.63.255.254190.63.255.2554,194,302
58190.64.0.0/10190.64.0.1 to 190.127.255.254190.127.255.2554,194,302
59190.128.0.0/10190.128.0.1 to 190.191.255.254190.191.255.2554,194,302
60190.192.0.0/10190.192.0.1 to 190.255.255.254190.255.255.2554,194,302
61191.0.0.0/10191.0.0.1 to 191.63.255.254191.63.255.2554,194,302
62191.64.0.0/10191.64.0.1 to 191.127.255.254191.127.255.2554,194,302
63191.128.0.0/10191.128.0.1 to 191.191.255.254191.191.255.2554,194,302
64191.192.0.0/10191.192.0.1 to 191.255.255.254191.255.255.2554,194,302

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses